libshevek

- Main Page
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Friends
shevek::refbase Class Reference

Base class for classes which want reference counting through Glib::RefPtr. More...

`#include <refbase.hh>`

Inheritance diagram for shevek::refbase:

List of all members.

## Public Member Functions

template<typename _T >
Glib::RefPtr< _T > | cast_dynamic ()
| Identical to GLib::RefPtr <>::cast_dynamic, but nicer to type.

## Protected Member Functions

| refbase ()
| Constructor, increments reference count.
virtual | ~refbase ()
| Destructor, decrements reference count and destroys the object if it reaches 0.
template<typename T >
Glib::RefPtr< T > | refptr_this ()
| Get a RefPtr to this, protected because only members should need it.

## Friends

class | Glib::RefPtr

## Detailed Description

Base class for classes which want reference counting through Glib::RefPtr.

## Member Function Documentation

template<typename T >

Glib::RefPtr< T > shevek::refbase::refptr_this | ( |  | ) | `[protected]`

Get a RefPtr to this, protected because only members should need it.

This function allows member functions, which have a pointer to the object, but not a Glib::RefPtr, to pass a RefPtr to others.

The documentation for this class was generated from the following file:

- src/refbase.hh